VERSION 5.00
Begin VB.Form MainForm 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Ap ps2pdf sdk demo!"
   ClientHeight    =   1815
   ClientLeft      =   -15
   ClientTop       =   270
   ClientWidth     =   5280
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1815
   ScaleWidth      =   5280
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnDemo 
      Caption         =   "demo"
      Height          =   495
      Left            =   1800
      TabIndex        =   0
      Top             =   600
      Width           =   1455
   End
End
Attribute VB_Name = "MainForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function CreatePDF Lib "ps2pdf.dll" Alias "_CreatePDF@4" (ByVal lpFileName As String) As Long
Private Declare Sub ClosePDF Lib "ps2pdf.dll" Alias "_ClosePDF@4" (ByVal id As Long)
Private Declare Function SetPDFSecurity Lib "ps2pdf.dll" Alias "_SetPDFSecurity@20" (ByVal id As Long, ByVal level As Long, ByVal limit As Long, ByVal szUserPassword As String, ByVal szOwnerPassword As String) As Long
Private Declare Function SetPDFInfo Lib "ps2pdf.dll" Alias "_SetPDFInfo@24" (ByVal id As Long, ByVal Title As String, ByVal Subject As String, ByVal Author As String, ByVal Keywords As String, ByVal Creator As String) As Long
Private Declare Function AddPS Lib "ps2pdf.dll" Alias "_AddPS@8" (ByVal id As Long, ByVal lpFileName As String) As Long
Private Declare Function Convert Lib "ps2pdf.dll" Alias "_Convert@4" (ByVal id As Long) As Long

'document permissions
Const PERMISSION_PRINT = 1
Const PERMISSION_COPY = 2
Const PERMISSION_MODIFY = 4


'Encryption Level
Const RC4_40BITS = 40
Const RC4_128BITS = 128


'Converting several ps/eps files to one pdf file.
Private Sub btnDemo_Click()
    Dim id As Long
    Dim iPermission As Long
    Dim sUserPw As String
    Dim sOwnerPw As String
    
    'create pdf file
    id = CreatePDF("test_mm.pdf")
    If id <> 0 Then
        'setting pdf header information
        SetPDFInfo id, "title", "subject", "author", "keywords", "createor"
        
        'setting pdf security
        iPermission = PERMISSION_PRINT Or PERMISSION_COPY Or PERMISSION_MODIFY
        sUserPw = "user"
        sOwnerPw = "owner"
        
        SetPDFSecurity id, RC4_128BITS, iPermission, sUserPw, sOwnerPw
        
        'add PS/EPS files
        AddPS id, "./ps_files/test1.ps"
        AddPS id, "./ps_files/test2.ps"
        AddPS id, "./ps_files/test3.ps"

        'starting convet
        Convert id
        
        'close pdf file
        ClosePDF id
    End If
End Sub
